Bug 1316268 - Set EncodingType in ListBucketResult
Summary: Set EncodingType in ListBucketResult
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 1.3.3
Assignee: Yehuda Sadeh
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-09 20:19 UTC by Neil Levine
Modified: 2017-07-30 15:48 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-0.94.7-5.el7cp Ubuntu: ceph_0.94.7-3redhat1trusty
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 12:56:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Description Neil Levine 2016-03-09 20:19:33 UTC
See: https://github.com/ceph/ceph/pull/7712

Comment 7 Yehuda Sadeh 2016-05-17 17:57:01 UTC
https://github.com/ceph/ceph/pull/8987

Comment 8 Ken Dreyer (Red Hat) 2016-05-17 18:05:01 UTC
Yehuda, would you please merge that PR 8987?

Comment 9 Yehuda Sadeh 2016-06-30 18:34:00 UTC
It's been merged upstream at a1a5f57558e30fc0fd581756a75da5abee3e897b

Comment 11 Ken Dreyer (Red Hat) 2016-08-17 14:43:54 UTC
Yehuda, QE ias asking what the steps are to reproduce for this BZ, so QE can verify the fix?

Is there a Teuthology test that covers this? (How would I find the answer to that question myself? Check ceph-qa-suite.git?)

Comment 12 Matt Benjamin (redhat) 2016-08-17 18:10:51 UTC
(In reply to Ken Dreyer (Red Hat) from comment #11)
> Yehuda, QE ias asking what the steps are to reproduce for this BZ, so QE can
> verify the fix?
> 
> Is there a Teuthology test that covers this? (How would I find the answer to
> that question myself? Check ceph-qa-suite.git?)

It should be possible to create a test that performs a bucket list (or list_versions) using Boto, with the encoding_type parameter defined and set to 'url'.

It there is not a Teuthology or S3tests check for this, one can be added.  (The dialog in the PR suggests there may not be--this was, as well, an upstream-contributed bugfix.)

Comment 21 errata-xmlrpc 2016-09-29 12:56:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.